TypeCodeHolder (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.TypeCodeHolder class

Module java.corba
Package org.omg.CORBA

## Class TypeCodeHolder

- java.lang.Object
- - org.omg.CORBA.TypeCodeHolder

- All Implemented Interfaces:
    `Streamable`

      public final class TypeCodeHolder
      extends Object
      implements Streamable

  The Holder for `TypeCode`. For more information on Holder files, see "Generated Files: Holder Files".

  A Holder class for a `TypeCode` object that is used to store "out" and "inout" parameters in IDL operations. If an IDL operation signature has an IDL `TypeCode` as an "out" or "inout" parameter, the programmer must pass an instance of `TypeCodeHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

  If `myTypeCodeHolder` is an instance of `TypeCodeHolder`, the value stored in its `value` field can be accessed with `myTypeCodeHolder.value`.

  Since:
    JDK1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TypeCode` | `value` | The `TypeCode` value held by this `TypeCodeHolder` object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeCodeHolder​()` | Constructs a new `TypeCodeHolder` object with its `value` field initialized to `null`.
    `TypeCodeHolder​(TypeCode initial)` | Constructs a new `TypeCodeHolder` object with its `value` field initialized to the given `TypeCode` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read​(InputStream input)` | Reads from `input` and initalizes the value in this `TypeCodeHolder` object with the unmarshalled data.
    `TypeCode` | `_type​()` | Returns the TypeCode corresponding to the value held in this `TypeCodeHolder` object.
    `void` | `_write​(OutputStream output)` | Marshals to `output` the value in this `TypeCodeHolder` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public TypeCode value

      The `TypeCode` value held by this `TypeCodeHolder` object.

  - ### Constructor Detail

    - #### TypeCodeHolder

          public TypeCodeHolder​()

      Constructs a new `TypeCodeHolder` object with its `value` field initialized to `null`.

    - #### TypeCodeHolder

          public TypeCodeHolder​(TypeCode initial)

      Constructs a new `TypeCodeHolder` object with its `value` field initialized to the given `TypeCode` object.
      Parameters:
        `initial` - the `TypeCode` object with which to initialize the `value` field of the newly-created `TypeCodeHolder` object

  - ### Method Detail

    - #### _read

          public void _read​(InputStream input)

      Reads from `input` and initalizes the value in this `TypeCodeHolder` object with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the InputStream containing CDR formatted data from the wire

    - #### _write

          public void _write​(OutputStream output)

      Marshals to `output` the value in this `TypeCodeHolder` object.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the OutputStream which will contain the CDR formatted data

    - #### _type

          public TypeCode _type​()

      Returns the TypeCode corresponding to the value held in this `TypeCodeHolder` object.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the TypeCode of the value held in this `TypeCodeHolder` object